curl https://zeplo.ai/api/storage-settings \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
{
"success": true,
"data": {
"id": 1,
"provider": "s3",
"config": {
"bucket": "my-bucket",
"region": "us-east-1",
"accessKeyId": "AKIAIOSFODNN7EXAMPLE",
"path": "uploads/"
},
"isActive": true,
"createdAt": "2026-01-01T08:00:00Z"
}
}
Settings
GET Storage Settings
Configure file storage providers.
GET
/
api
/
storage-settings
curl https://zeplo.ai/api/storage-settings \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
{
"success": true,
"data": {
"id": 1,
"provider": "s3",
"config": {
"bucket": "my-bucket",
"region": "us-east-1",
"accessKeyId": "AKIAIOSFODNN7EXAMPLE",
"path": "uploads/"
},
"isActive": true,
"createdAt": "2026-01-01T08:00:00Z"
}
}
Get storage settings
GET /api/storage-settings
Configure file storage for uploaded media and documents.
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
curl https://zeplo.ai/api/storage-settings \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
GET /api/storage-settings/active
{
"success": true,
"data": {
"id": 1,
"provider": "s3",
"config": {
"bucket": "my-bucket",
"region": "us-east-1",
"accessKeyId": "AKIAIOSFODNN7EXAMPLE",
"path": "uploads/"
},
"isActive": true,
"createdAt": "2026-01-01T08:00:00Z"
}
}
Update storage settings
POST /api/storage-settings/update
Supported providers
| Provider | Required config fields |
|---|---|
local | path |
s3 | bucket, region, accessKeyId, secretAccessKey |
digitalocean | bucket, region, accessKeyId, secretAccessKey |
gcs | bucket, projectId, credentials |
{
"provider": "s3",
"config": {
"bucket": "my-bucket",
"region": "us-east-1",
"accessKeyId": "AKIAIOSFODNN7EXAMPLE",
"secretAccessKey": "wJalrXUtnFEMI/..."
}
}
Test storage connection
POST /api/storage-settings/test
Delete storage setting
DELETE /api/storage-settings/:id